Skip to Content
Signature requests

List Signature Requests

Toegang

Lid van de organisatie met dit recht:

  • signature-requests:read

Een API-sleutel met scopes heeft het recht ook in zijn scopes nodig.

GET
/orgs/{organizationId}/signature-requests

Lists signature requests with pagination, filtering (e.g. customerId, status), search on the title or customer name and sorting.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""title""message""status""customerId""sourceDocumentId""sourceKey""sourceSha256""pageCount""signedDocumentId""signedSha256""stampedSha256""sealFingerprint""timestampedAt""timestampAuthority""expiresAt""reminderAfterDays""sentAt""completedAt""createdById""createdAt""updatedAt"
sortDir?string
Value in"asc""desc"
include?|array<>|string
signedDocumentId?string|array<string>|null
createdById?string|array<string>|null
status?|array<>|
pageCount?number||
reminderAfterDays?number||
timestampedAt?|null
expiresAt?|null
sentAt?|null
completedAt?|null
createdAt?|null
updatedAt?|null
title?string|array<string>|
message?string|array<string>|
customerId?string|array<string>|
sourceDocumentId?string|array<string>|
sourceKey?string|array<string>|
sourceSha256?string|array<string>|
signedSha256?string|array<string>|
stampedSha256?string|array<string>|
sealFingerprint?string|array<string>|
timestampAuthority?string|array<string>|
hasSigners?boolean|string|number|null
hasNoSigners?boolean|string|number|null
hasFields?boolean|string|number|null
hasNoFields?boolean|string|number|null
hasEventLogs?boolean|string|number|null
hasNoEventLogs?boolean|string|number|null
hasAuditLogs?boolean|string|number|null
hasNoAuditLogs?boolean|string|number|null
signerId?string|array<string>|
fieldId?string|array<string>|
eventLogId?string|array<string>|
auditLogId?string|array<string>|
hasSignedDocument?boolean|string|number|null
hasNoSignedDocument?boolean|string|number|null
search?string

Response Body

OK

application/json
  1. response
Example Request
curl -X GET 'https://api.tillor.eu/orgs//signature-requests'
Example Response
null